:root {
  --bg-color-light: #b5e0f7;
  --text-color-light: #222;
  --bg-color-dark: #1a232f;
  --text-color-dark: #f4f4f4;
  --accent-color: #b5e0f7;
  --primary: #66c3e0;
  --hover-color-light: #e6e69f;
  --hover-color-dark: #2a394e;
  --card-bg-light: #ffffffcc;
  --card-bg-dark: #2a394e;
  --nav-bg: #ffffb7; 
  --nav-bg-dark: #13181d;
  --title-color-light: #e4f6fc;
  --title-color-dark: #1a232f;
  --link-color-light:#3399ff;
  --link-color-dark: #b5e0f7;
  --link-visited-color-light:#3366cc;
  --link-visited-color-dark: #8899ff;
}

html.light {
  --bg-color: var(--bg-color-light);
  --text-color: var(--text-color-light);
  --card-bg: var(--card-bg-light);
  --title-color: var(--title-color-light);
  --nav-bg-current: var(--nav-bg);
  --hover-color: var(--hover-color-light);
  --link-color: var(--link-color-light);
  --link-visited-color: var(--link-visited-color-light);
}
html.dark {
  --bg-color: var(--bg-color-dark);
  --text-color: var(--text-color-dark);
  --card-bg: var(--card-bg-dark);
  --title-color: var(--title-color-dark);
  --nav-bg-current: var(--nav-bg-dark);
  --hover-color: var(--hover-color-dark);
  --link-color: var(--link-color-dark);
  --link-visited-color: var(--link-visited-color-dark);
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  font-family: 'Noto Sans JP', sans-serif;
  background-color: var(--bg-color);
  color: var(--text-color);
  transition: background-color 0.3s, color 0.3s;
  background-image: none;
  background-attachment: fixed;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 1rem;
  background-color: var(--title-color);
  backdrop-filter: blur(6px);
  border-bottom: 1px solid #ccc;
  position: relative;
}

a.link:link {
  color: var(--link-color);
  text-decoration: underline;
}

a.link:visited {
  color: var(--link-visited-color);
  text-decoration: underline;
}


h1 {
  font-family: 'Futura', sans-serif;
  font-size: 2.0rem;
  margin: 0;
}

.profile {
  display: flex;
  align-items: center;
  gap: 0.5rem;         
}

.profile-icon-wrapper {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  overflow: hidden;
  border: 0.1px solid #ccc;
  background-color: #fff;
  display: inline-block;
}

.profile-icon {
  height: 100%;
  object-fit: contain;
}


nav {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100vw;
  background-color: var(--nav-bg-current);
  border-radius: 0;
}

nav ul {
  display: flex;
  list-style: none;
  padding: 0.6rem 1.2rem;
  margin: 0;
  gap: 1.2rem;
  flex-direction: row;
  justify-content: flex-start;
}

nav ul li a {
  display: block;
  text-decoration: none;
  color: var(--text-color);
  font-weight: 500;
  padding: 0.5rem 1rem;
  border-radius: 8px;
  transition: background 0.3s;
  white-space: nowrap;
}

nav ul li a:hover {
  background: var(--hover-color);
}

.menu-toggle {
  display: none;
  font-size: 1.5rem;
  background: none;
  border: none;
  color: var(--text-color);
}

@media (max-width: 768px) {
  nav ul {
    display: none;
    flex-direction: column;
    background-color: var(--nav-bg-current);
    position: absolute;
    top: 0px;
    left: 0;
    padding: 1rem;
    border-radius: 8px;
    min-width: 140px;
  }

  nav ul.show {
    display: flex;
  }

  .menu-toggle {
    display: block;
    padding: 0.1rem 0.3rem;
    font-size: 0.7rem;
    border: 1px solid var(--text-color);
    background: none;
    color: var(--text-color);
  }


}

.content-wrapper {
  flex: 1;
  display: flex;
  padding: 2rem;
  justify-content: center;
}

main {
  padding: 2rem;
  max-width: 900px;
  margin: 2rem auto 0 auto;
  width: 90%;
}

section {
  margin-bottom: 2.5rem;
  background: var(--card-bg);
  padding: 1rem;
  border-radius: 12px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

h2 {
  font-family: 'Futura', sans-serif;
  border-left: 6px solid var(--primary);
  padding-left: 0.6rem;
}

.toggle-container {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

button {
  padding: 0.3rem 0.8rem;
  font-size: 0.9rem;
  border: 1px solid var(--text-color);
  background: none;
  color: var(--text-color);
  border-radius: 5px;
  cursor: pointer;
}
.toggle-icon {
  width: 1.5em;
  height: 1.5em;
  cursor: pointer;
}

.toggle-icon line,
.toggle-icon path {
  stroke: currentColor;
}
    

